package com.zanxiang.game.module.manage;

import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.spring.context.annotation.EnableDubbo;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.scheduling.annotation.EnableScheduling;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

/**
 * @author : lingfeng
 * @time : 2022-11-25
 * @description : 启动类
 */
@Slf4j
@EnableDiscoveryClient
@SpringBootApplication
@EnableDubbo
@EnableSwagger2
@EnableScheduling
public class ManageApplication {

    public static void main(String[] args) {
        SpringApplication.run(ManageApplication.class, args);
        System.out.println("赞象Manage服务启动成功 < (CP消息推送兼容配置修改´･･)ﾉ(._.`) \n" +
                "___  ___  ___   _   _   ___  _____  _____ \n" +
                "|  \\/  | / _ \\ | \\ | | / _ \\|  __ \\|  ___|\n" +
                "| .  . |/ /_\\ \\|  \\| |/ /_\\ \\ |  \\/| |__  \n" +
                "| |\\/| ||  _  || . ` ||  _  | | __ |  __| \n" +
                "| |  | || | | || |\\  || | | | |_\\ \\| |___ \n" +
                "\\_|  |_/\\_| |_/\\_| \\_/\\_| |_/\\____/\\____/ \n");
    }

}
